basement-0.0.16: Foundation scrap box of array & string

Safe Haskell | None
Language | Haskell2010

Basement.Compat.ExtList

Synopsis

- length :: [a] -> CountOf a
- null :: [a] -> Bool
- sum :: Additive n => [n] -> n
- reverse :: [a] -> [a]
- (!!) :: [a] -> Offset a -> a

# Documentation

length :: [a] -> CountOf a #

Compute the size of the list

null :: [a] -> Bool #

sum :: Additive n => [n] -> n #

Sum the element in a list

reverse :: [a] -> [a] #

(!!) :: [a] -> Offset a -> a #